/*
 *      _ L I S T _ L i s t N e x t
 *
 *  This function is an internal support
 *  function called to find the next node
 *  on a linked list.
 *
 *
 * (c) Copyright 1996-1999 David J. Walker
 *     Email:  dave.walker@icl.com
 *
 *     Permission to copy and/or distribute granted under the
 *     following conditions:
 *
 *     1). This notice must remain intact.
 *     2). The author is not responsible for the consequences of use
 *         this software, no matter how awful, even if they
 *         arise from defects in it.
 *     3). Altered version must not be represented as being the
 *         original software.
 *
 *
 *  AMENDMENT HISTORY
 *  ~~~~~~~~~~~~~~~~~
 *  18 May 96   DJW   - First version
 */


#include <liblist.h>
#include "liblistx.h"


extern
node_t  _LIST_ListNext      (list_t list, node_t node)
{
    register _lifo_t  lifonode = (_lifo_t)node;

	lifonode = lifonode->next;
    if (lifonode != NULL)
    {
        lifonode = (_lifo_t)_LIST_USERNODE(list,(node_t)lifonode);
    }
    return ((node_t)lifonode);
}


